X-TILES(6)

NAME
X-Tiles - X windows game, remove connected tiles

SYNOPSIS
X-Tiles [-v] [-help|-h] [-bw] [-reduced] [-pastel] [-darker] [-lighter] [colors] [columns] [lines] [seed] [background]

DESCRIPTION

  GAME PRINCIPLE
X-Tiles is a time-waster disguised as a puzzle. When you start X-Tiles, it displays a rectangular playfield filled with sets of colored rectangles (tiles). The aim of X-Tiles is to zap all tiles. You can only zap a 4-connected set of tiles of the same color. When you click on such a set, it vanishes, and all tiles above fall down to fill the gap. When this creates empty columns, other columns slide leftward to fill the hole. X-Tiles ends when there is no set left that you can zap, or in other words, when no two remaining adjacent tiles are of the same color.

  SCORING AND WINNING
Each set you zap may reward you with some points. Take the number of tiles of the set, subtract two, and square the result. Notice that a set of 2 tiles doesn't get you anything ! A sets of 3 tiles scores 1 point, a set of 4 tiles scores 4 points, a set of 5 tiles scores 9 points, and so on. When the game ends, the score is adjusted as follows: subtract one point for each remaining lonesome tile. If you managed to zap all tiles, add 1,000 points.

  GAME CONTROLS
During the game, moving the mouse pointer will highlight the corresponding set of tiles. Any mouse click will zap that set. The bottom line of the window displays your score, along with the point value of the highlighted set. You can undo the last move by clicking on the smiley face or by hitting u. At any point, hitting q will prompt you for quitting the game. Hitting c will offer you another choice of colors. When the game ends, you may hit q to quit, n to play a new game, or r to replay the current puzzle.

OPTIONS

-v  Displays the version number.

-help|-h
    Short help message

-bw Start the game in black and white mode, even on colors display.

-reduced
    Start the game using less colors. May help with background pictures with lots of colors.

-pastel
    Uses less aggressive colors.

-darker
    Uses lighter colors.

-lighter
    Uses darker colors.

colors
    Number of distinct colors. Should not be more than 12. Interesting games usually involve 3 to 6 colors. Defaults to 4 when no parameters are given.

columns
    Number of columns. Defaults to 10, limited to range 4..40.

lines
    Number of lines. Defaults to the columns value, limited to range 4..40.

seed
    Random seed. Will be chosen randomly if you don't specify it. This is the value displayed by the game on startup. Write it down if you want to replay a given game later.

background
    File name of background image. Available formats depend on the actual Icon implementation used. gif should work alright. This image should leave enough entries in the colormap for X-Tiles's own use.

BUGS AND FEATURES
The game is mostly unplayable on slow machines or at large sizes. Not all combinations of board size/number of colors provide for an interesting game. There is no provision for a high-score table. Some color backgrounds may leave you with white on white game play or such non-sense.

AUTHOR
Marc Espie (Marc.Espie@ens.fr) Based on the Amiga puzzle game Tile Fall, originally written by Adam Dawes (Adam@darkside.demon.co.uk)